package rrf.pingauges2;

import android.content.Context;
import android.content.pm.PackageManager;
import android.os.Bundle;
import android.support.v7.app.AppCompatActivity;
import android.widget.TextView;

/**
 * Created by Robert R. Fenichel on 12/15/2015.
 */

// This activity seems to work equally well in either orientation.

public class Help extends AppCompatActivity
{
  @Override
  protected void onCreate(Bundle SavedState)
    {
      super.onCreate(SavedState);
      setContentView(R.layout.help);

      Context CurrentContext = getApplicationContext();
      PackageManager PM = CurrentContext.getPackageManager();
      String PackageName = CurrentContext.getPackageName();
      String VersionDate = getString(R.string.DateUnknown);
      int VersionNumber = 0;

      try
        { VersionDate = PM.getPackageInfo(PackageName, 0).versionName;
          VersionNumber = PM.getPackageInfo(PackageName, 0).versionCode;
        }
      catch (PackageManager.NameNotFoundException E)
        { E.printStackTrace(); }

      TextView lbVersionControl = (TextView) findViewById(R.id.lbVersionControl);
      lbVersionControl.setText(String.format("Version %d (%s)",
                                             VersionNumber, VersionDate));
      //ToDo update version control in Gradle scripts build.gradle (Module: app)

    } // onCreate
} // Help
