package rrf.pingauges2;

import android.content.Intent;
import android.os.Bundle;
import android.support.v7.app.AppCompatActivity;
import android.view.View;
import android.widget.AdapterView;
import android.widget.ArrayAdapter;
import android.widget.ListView;

import java.util.ArrayList;

/**
 * Created by Robert R. Fenichel on 12/14/2015.
 */
public class dlgLoadConfig extends AppCompatActivity
{
  private String ConfigToLoad = null;

  @Override
  protected void onCreate(Bundle SavedState)
    { // landscape format not needed
      final ListView lvConfigs;

      super.onCreate(SavedState);
      setContentView(R.layout.dlg_load_config);

      lvConfigs = (ListView) findViewById(R.id.lvLoadConfig);

      final ArrayList<String> listConfigs;
      listConfigs = new ArrayList();
      dmPinGauges.get(getApplicationContext()).FillConfigNameList(listConfigs);
      final ArrayAdapter TheAdapter = new ArrayAdapter(this,
              android.R.layout.simple_list_item_1,
              listConfigs);
      lvConfigs.setAdapter(TheAdapter);
      lvConfigs.setOnItemClickListener(new AdapterView.OnItemClickListener()
        {
          @Override
          public void onItemClick(AdapterView<?> TheParent,
                                  View TheView,
                                  int ThePosition,
                                  long TheID)
            {
              ConfigToLoad = ((String) TheParent.getItemAtPosition(ThePosition));
              dmPinGauges.get(getApplicationContext()).LoadFromDB(ConfigToLoad);
              setResult(RESULT_OK, new Intent());
              finish();
            } // listener
        }); // set listener

    } // onCreate
} // dlgLoadConfig
