package rrf.pingauges2;

import android.os.Bundle;
import android.support.v7.app.AppCompatActivity;
import android.view.View;
import android.widget.AdapterView;
import android.widget.ArrayAdapter;
import android.widget.Button;
import android.widget.CheckBox;
import android.widget.EditText;
import android.widget.ListView;

import java.util.ArrayList;

/**
 * Created by Robert R. Fenichel on 12/14/2015.
 */
public class dlgSaveConfig extends AppCompatActivity
  {
    @Override
    protected void onCreate(Bundle SavedState)
      {
        final ListView lvConfigs;
        final EditText edConfigSaveName;
        final CheckBox ckbxSaveAsDefault;
        final Button btnSaveSaveConfiguration;

        super.onCreate(SavedState);
        setContentView(R.layout.dlg_save_config);

        lvConfigs = (ListView) findViewById(R.id.listConfigNames);
        edConfigSaveName = (EditText) findViewById(R.id.edConfigSaveName);
        ckbxSaveAsDefault = (CheckBox) findViewById(R.id.ckbxSaveAsDefault);
        btnSaveSaveConfiguration = (Button) findViewById(R.id.btnSaveSaveConfiguration);

        final ArrayList<String> listConfigs;
        listConfigs = new ArrayList();
        dmPinGauges.get(this).FillConfigNameList(listConfigs);
        final ArrayAdapter TheAdapter = new ArrayAdapter(this,
                android.R.layout.simple_list_item_1,
                listConfigs);
        lvConfigs.setAdapter(TheAdapter);
        lvConfigs.setOnItemClickListener(new AdapterView.OnItemClickListener()
          {
            @Override
            public void onItemClick(AdapterView<?> TheParent,
                                    View TheView,
                                    int ThePosition,
                                    long TheID)
              { edConfigSaveName.setText((String) TheParent.getItemAtPosition(ThePosition)); } // listener
          }); // set listener

        btnSaveSaveConfiguration.setOnClickListener(new View.OnClickListener()
          {
            @Override
            public void onClick(View v)
              { String TentativeName = edConfigSaveName.getText().toString().trim();
                if (TentativeName.length() > 0)
                  { // nondegenerate
                    dmPinGauges.TheConfiguration.ConfigName = TentativeName;
                    dmPinGauges.TheConfiguration.IsDefault = ckbxSaveAsDefault.isChecked();
                    dmPinGauges.get(getApplicationContext()).SaveToDB(TentativeName);
                  } // nondegenerate
              } // the listener
          }); // setOnClickListener
      } // onCreate
  } // dlgSaveConfig

